Main Page Widgets Namespaces Book

# Gtk::Clipboard Class Reference

List of all members.

## Public Types

typedef SigC::Slot2< void, GtkSelectionData*, guint > | SlotGet
| e.g.: void on_get(GtkSelectionData* selection_data, guint info);
typedef SigC::Slot0<void> | SlotClear
| e.g.: void on_clear();
typedef SigC::Slot1< void, GtkSelectionData* > | SlotReceived
| e.g.: void on_received(GtkSelectionData* selection_data);
typedef SigC::Slot1< void, const Glib::ustring& > | SlotTextReceived
| e.g.: void on_textreceived(const Glib::ustring& text);

## Public Methods

| Clipboard (GdkAtom selection=GDK_NONE)
| Clipboard (GtkClipboard* gobject)
| Clipboard (const Clipboard& src)
virtual | ~Clipboard ()
Clipboard& | operator= (const Clipboard& src)
bool | operator== (const Clipboard& src) const
bool | set (const GtkTargetEntry* targets, guint n_targets, const SlotGet& slot_get, const SlotClear& slot_clear)
Glib::RefPtr<Glib::Object> | get_owner ()
Glib::RefPtr<const Glib::Object> | get_owner () const
void | clear ()
void | set_text (const Glib::ustring& text)
void | request_contents (GdkAtom target, const SlotReceived& slot)
void | request_text (const SlotTextReceived& slot)
GtkSelectionData* | wait_for_contents (GdkAtom target)
Glib::ustring | wait_for_text ()
bool | wait_is_text_available ()
GtkClipboard* | gobj ()
const GtkClipboard* | gobj () const

## Protected Attributes

GtkClipboard* | gobject_

## Member Typedef Documentation

typedef SigC::Slot0<void> Gtk::Clipboard::SlotClear

| e.g.: void on_clear();

typedef SigC::Slot2<void, GtkSelectionData*, guint> Gtk::Clipboard::SlotGet

| e.g.: void on_get(GtkSelectionData* selection_data, guint info);

typedef SigC::Slot1<void, GtkSelectionData*> Gtk::Clipboard::SlotReceived

| e.g.: void on_received(GtkSelectionData* selection_data);

typedef SigC::Slot1<void, const Glib::ustring&> Gtk::Clipboard::SlotTextReceived

| e.g.: void on_textreceived(const Glib::ustring& text);

## Constructor & Destructor Documentation

Gtk::Clipboard::Clipboard | ( | GdkAtom | selection = GDK_NONE | ) | `[explicit]`

Gtk::Clipboard::Clipboard | ( | GtkClipboard* | gobject | ) | `[explicit]`

Gtk::Clipboard::Clipboard | ( | const Clipboard& | src | ) |

virtual Gtk::Clipboard::~Clipboard | ( |  | ) | `[virtual]`

## Member Function Documentation

void Gtk::Clipboard::clear | ( |  | ) |

Glib::RefPtr<const Glib::Object> Gtk::Clipboard::get_owner | ( |  | ) |

Glib::RefPtr<Glib::Object> Gtk::Clipboard::get_owner | ( |  | ) |

const GtkClipboard* Gtk::Clipboard::gobj | ( |  | ) |

GtkClipboard* Gtk::Clipboard::gobj | ( |  | ) |

Clipboard& Gtk::Clipboard::operator= | ( | const Clipboard& | src | ) |

bool Gtk::Clipboard::operator== | ( | const Clipboard& | src | ) | const

void Gtk::Clipboard::request_contents | ( | GdkAtom | target,
|  | const SlotReceived& | slot
| ) |

void Gtk::Clipboard::request_text | ( | const SlotTextReceived& | slot | ) |

bool Gtk::Clipboard::set | ( | const GtkTargetEntry* | targets,
|  | guint | n_targets,
|  | const SlotGet& | slot_get,
|  | const SlotClear& | slot_clear
| ) |

void Gtk::Clipboard::set_text | ( | const Glib::ustring& | text | ) |

GtkSelectionData* Gtk::Clipboard::wait_for_contents | ( | GdkAtom | target | ) |

Glib::ustring Gtk::Clipboard::wait_for_text | ( |  | ) |

bool Gtk::Clipboard::wait_is_text_available | ( |  | ) |

## Member Data Documentation

GtkClipboard* Gtk::Clipboard::gobject_`[protected]`

The documentation for this class was generated from the following file:

- clipboard.h